Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create issue external link

POST/workspaces/{organizationId}/issues/{issueId}/external-links
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Request body
application/json
urlstring<uri>required
labelstring
Responses
201

External link created

idstringrequired
organizationIdstringrequired
entityTypestringrequired
entityIdstringrequired
urlstringrequired
labelstring | nullrequired
verificationStatusstringrequired
Allowed:verifiedfailedunreachableunchecked
verifiedAtstring | nullrequired
resolvedUrlstring | nullrequired
resolvedTitlestring | nullrequired
httpStatusnumber | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/issues/string/external-links' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "url": "http://example.com",
  "label": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "entityType": "string",
  "entityId": "string",
  "url": "string",
  "label": "string",
  "verificationStatus": "verified",
  "verifiedAt": "string",
  "resolvedUrl": "string",
  "resolvedTitle": "string",
  "httpStatus": 0,
  "createdAt": "string"
}

Was this page helpful?